<?php

namespace App\Generated\Controllers\V1_1;

use App\Http\Services\V1_1\TagsService;
use App\Generated\V1_1\Messages\Tags\GetAllTagMessage;
use App\Http\Controllers\Controller;
use DB;

class TagsController extends Controller
{
    public $handler;

    public function __construct(TagsService $handler)
    {
        $this->handler = $handler;
    }

    public function getAllTag(GetAllTagMessage $message)
    {
        $message->validateInput();
        $this->handler->getAllTag($message);
        $message->validateOutput();
        return $message->getResponse();
    }

}
